Bug 239225 - sysutils/less: add pcre option, clean up, enable color and pcre options
Summary: sysutils/less: add pcre option, clean up, enable color and pcre options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-15 13:35 UTC by Steve Wills
Modified: 2019-07-19 14:16 UTC (History)
1 user (show)

See Also:
jharris: maintainer-feedback+


Attachments
patch to port (1.26 KB, patch)
2019-07-15 13:35 UTC, Steve Wills
jharris: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2019-07-15 13:35:48 UTC
Created attachment 205800 [details]
patch to port

Here's a patch which adds an option to enable the pcre support in less, cleans up the port to match portlint, improves formatting and enables the color and pcre options by default.

If you don't want to enable the options by default, that's fine, I enabled them by default because thought if a user is using less from ports then they were probably looking for features that they wouldn't get from the base version, so we may as well enable them by default.
Comment 1 jharris 2019-07-18 19:07:45 UTC
Comment on attachment 205800 [details]
patch to port

Approved, thanks!
Comment 2 commit-hook freebsd_committer 2019-07-19 14:15:11 UTC
A commit references this bug:

Author: swills
Date: Fri Jul 19 14:14:45 UTC 2019
New revision: 506936
URL: https://svnweb.freebsd.org/changeset/ports/506936

Log:
  sysutils/less: add pcre option, clean up, enable color and pcre options

  PR:		239225
  Approved by:	jharris@widomaker.com (maintainer)

Changes:
  head/sysutils/less/Makefile
Comment 3 Steve Wills freebsd_committer 2019-07-19 14:16:18 UTC
Committed, thanks!